/* You can add global styles to this file, and also import other style files */
html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
}

.test {
  font-size: 12px;
  color: black;
}
$colors: (
  header: #fcfdff,
  title: #0d2942,
  primary: #0c499f,
  primary-light: lighten(#0c499f, 40%),
  app-bg: rgb(38, 77, 59),
  sideNav: lighten(#0d2942, 1)
);

.default {
  font-size: 24px;
  height: 100%;
}

@function getColor($color) {
  @return map-get($colors, $color);
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  background: #ffffff;
  border-radius: 100px;
}

::-webkit-scrollbar-thumb {
  background: rgb(38, 77, 59);
  border-radius: 100px;
}

.selectBox {
  padding: 20px;
  cursor: pointer;
  background-color: gainsboro;
  border: 1px solid rgba(0, 0, 0, 0.2);
}

.bgGreenSelected {
  background-color: #15b244 !important;
  color: white;
}

//// div loader simple

#loader {
  width: 2em;
  height: 2.5em;
  border: 3px solid transparent;
  border-top-color: #15b244;
  border-bottom-color: #15b244;
  border-radius: 50%;
  animation: spin-stretch 2s ease infinite;
}

@keyframes spin-stretch {
  50% {
    transform: rotate(360deg) scale(0.4, 0.33);
    border-width: 8px;
  }

  100% {
    transform: rotate(720deg) scale(1, 1);
    border-width: 3px;
  }
}

///////

.checkBox {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkBox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  border: 1px solid rgba(0, 0, 0, 0.3);
  background-color: rgb(247, 247, 247);
}

/* On mouse-over, add a grey background color */
.checkBox:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.checkBox input:checked ~ .checkmark {
  background-color: rgb(42, 151, 60);
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkBox input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkBox .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.btn-sauvegarder {
  color: #ffff;
  background-color: #24d06d;
}

@media print {
  body * {
    visibility: hidden;
  }

  #orderBody * {
    visibility: visible;
    font-size: 50pt;
  }
}

p,
button,
span,
b,
h1,
h2,
h3,
h4,
h5,
a {
 //  font-family: foodBeeperFont;
}
